## mothur 1.38.0

=== Makefile ===
###################################################
#
# Makefile for mothur
#
###################################################

#
# Macros
#

64BIT_VERSION ?= yes
OPTIMIZE ?= yes
USEREADLINE ?= yes
USEBOOST ?= yes
BOOST_LIBRARY_DIR="\"Enter_your_boost_library_path_here\""
BOOST_INCLUDE_DIR="\"Enter_your_boost_include_path_here\""
MOTHUR_FILES="\"Enter_your_default_path_here\""
RELEASE_DATE = "\"7/20/2016\""
VERSION = "\"1.38.0\""

ifeq  ($(strip $(64BIT_VERSION)),yes)
    CXXFLAGS += -DBIT_VERSION
endif

# Fastest
ifeq  ($(strip $(OPTIMIZE)),yes)
    CXXFLAGS += -O3
endif

CXXFLAGS += -DRELEASE_DATE=${RELEASE_DATE} -DVERSION=${VERSION} -O3

ifeq  ($(strip $(MOTHUR_FILES)),"\"Enter_your_default_path_here\"")
else
    CXXFLAGS += -DMOTHUR_FILES=${MOTHUR_FILES}
endif


# if you do not want to use the readline library, set this to no.
# make sure you have the library installed


ifeq  ($(strip $(USEREADLINE)),yes)
    CXXFLAGS += -DUSE_READLINE
    LIBS += -lreadline
endif


#User specified boost library
ifeq  ($(strip $(USEBOOST)),yes)

    LDFLAGS += -L ${BOOST_LIBRARY_DIR}

    LIBS += -lboost_iostreams -lz
    CXXFLAGS += -DUSE_BOOST -I ${BOOST_INCLUDE_DIR}
endif

#
# INCLUDE directories for mothur
#
#
    VPATH=source/calculators:source/chimera:source/classifier:source/clearcut:source/commands:source/communitytype:source/datastructures:source/metastats:source/randomforest:source/read:source/svm
    skipUchime := source/uchime_src/
    subdirs :=  $(sort $(dir $(filter-out  $(skipUchime), $(wildcard source/*/))))
    subDirIncludes = $(patsubst %, -I %, $(subdirs))
    subDirLinking =  $(patsubst %, -L%, $(subdirs))
    CXXFLAGS += -I. $(subDirIncludes)
    LDFLAGS += $(subDirLinking)


#
# Get the list of all .cpp files, rename to .o files
#
    OBJECTS=$(patsubst %.cpp,%.o,$(wildcard $(addsuffix *.cpp,$(subdirs))))
    OBJECTS+=$(patsubst %.c,%.o,$(wildcard $(addsuffix *.c,$(subdirs))))
    OBJECTS+=$(patsubst %.cpp,%.o,$(wildcard *.cpp))
    OBJECTS+=$(patsubst %.c,%.o,$(wildcard *.c))

mothur : $(OBJECTS) uchime
	$(CXX) $(LDFLAGS) $(TARGET_ARCH) -o $@ $(OBJECTS) $(LIBS)

uchime:
	cd source/uchime_src && ./mk && mv uchime ../../ && cd ..

install : mothur


%.o : %.c %.h
	$(COMPILE.c) $(OUTPUT_OPTION) $<
%.o : %.cpp %.h
	$(COMPILE.cpp) $(OUTPUT_OPTION) $<
%.o : %.cpp %.hpp
	$(COMPILE.cpp) $(OUTPUT_OPTION) $<



clean :
	@rm -f $(OBJECTS)
	@rm -f uchime

## mothur 1.18.1

=== debian/changelog ===
mothur (1.18.1-1) unstable; urgency=low

  * New upstream version (adapted patches to new location of
    makefile)
  * debian/rules: No need to specify SOURCEDIR any more
  * Added Tim Booth <tbooth@ceh.ac.uk> as Uploader,
    removed Sri Girish Srinivasa Murthy <srigirish@evolbio.mpg.de>
    from uploaders
  * Standards-Version: 3.9.2 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Tue, 26 Apr 2011 19:58:45 +0200

mothur (1.18.0-1ubuntu1) lucid; urgency=low

  * Rebuild for PPA
  * Source now comes in subdirectory Mothur.source - modify rules file
    to handle this

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 14 Apr 2011 14:50:24 +0100

mothur (1.17.3-1) unstable; urgency=low

  * New upstream version, which specifically solves some copyright
    questions of ftpmaster (Charles, thanks for reviewing
    debian/copyright)
    Closes: #589675
  * Updated patches
  * debian/copyright:
    Clarified license issues

 -- Andreas Tille <tille@debian.org>  Wed, 30 Mar 2011 09:01:52 +0200

mothur (1.15.0-1ubuntu1) lucid; urgency=low

  * Rebuild for upload to PPA, license or not.

 -- Tim Booth <tbooth@ceh.ac.uk>  Sun, 30 Jan 2011 12:14:18 +0000

mothur (1.15.0-1) unstable; urgency=low

  * Initial release (Closes: #589675)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Feb 2011 08:59:45 +0100

=== debian/control ===
Source: mothur
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
 Andreas Tille <tille@debian.org>,
 Tim Booth <tbooth@ceh.ac.uk>
Build-Depends: debhelper (>= 7.1), libreadline-dev, quilt (>= 0.47)
Standards-Version: 3.9.2
Homepage: http://www.mothur.org
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mothur/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/mothur/trunk/

Package: mothur
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sequence analysis suite for research on microbiota
 Mothur seeks to develop a single piece of open-source, expandable
 software to fill the bioinformatics needs of the microbial ecology
 community. It has incorporated the functionality of dotur, sons,
 treeclimber, s-libshuff, unifrac, and much more. In addition to improving
 the flexibility of these algorithms, a number of other features including
 calculators and visualization tools were added.

## mothur 1.22.2

=== debian/changelog ===
mothur (1.22.2-2) unstable; urgency=low

  * debian/patches/kfreebsd.patch: Enable build on BSD machines
    (thanks to Christoph Egger <christoph@debian.org> and Robert
    Millan <rmh@debian.org>)
    Closes: #650683
  * debian/control: Fixed Vcs fields
  * debian/{control,rules}: drop explicite quilt dependency which is
    just given by source format 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2011 17:14:49 +0100

mothur (1.22.2-1) unstable; urgency=low

  * New upstream version
  * debian/patches/drop_sse_option.patch: Fix for FTBFS: unrecognized
    command line option '-msse2' (Thanks for the patch to
    Nobuhiro Iwamatsu <iwamatsu@nigauri.org>)
    Closes: #648255

 -- Andreas Tille <tille@debian.org>  Thu, 10 Nov 2011 08:38:32 +0100

mothur (1.22.1-1) unstable; urgency=low

  [ Thorsten Alteholz ]
  * new upstream version
  * adapted patches to this version
  * debian/control: no dependency on quilt needed
  * debian/control + debian/compat: dh version set to >= 8

  [ Andreas Tille ]
  * debian/control: readd quilt dependency because build fails otherwise
  * debian/copyright: fix spelling error

 -- Andreas Tille <tille@debian.org>  Mon, 07 Nov 2011 11:14:17 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
  Andreas Tille <tille@debian.org>,
  Tim Booth <tbooth@ceh.ac.uk>
-Build-Depends: debhelper (>= 7.1), libreadline-dev, quilt (>= 0.47)
+Build-Depends: debhelper (>= 8), libreadline-dev
 Standards-Version: 3.9.2
 Homepage: http://www.mothur.org
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mothur/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/mothur/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mothur/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mothur/trunk/
 
 Package: mothur
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules for mothur
# Andreas Tille <tille@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ARCHBITS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS)

%:
	dh $@

override_dh_auto_build:
	if [ $(ARCHBITS) -eq 64 ] ; then \
	    dh_auto_build 64BIT_VERSION=yes ; \
	else \
	    dh_auto_build ; \
	fi

override_dh_auto_install:
	dh_install

get-orig-source:
	. debian/get-orig-source

override_dh_auto_clean:
	rm -f mothur *.o

## mothur 1.23.1

=== debian/changelog ===
mothur (1.23.1-1) unstable; urgency=low

  * New upstream version (including updating patches)
  * debian/upstream:
     - fixed typo: s/TITILE/TITLE/
     - Moved DOI+PMID to references
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Build-Depends: gfortran
  * debian/get-orig-source:
     - be not that verbose
     - more reproducible creation of tarball
     - Strip some useless files from tarball (.*; *.o)
  * debhelper 9 (control+compat)
  * debian/copyright: DEP5 changes and verified using
      cme fix dpkg-copyright

 -- Andreas Tille <tille@debian.org>  Thu, 08 Mar 2012 14:52:47 +0100

mothur (1.22.2~repack-ubuntu1) lucid; urgency=low

  * Backport for Ubuntu
  * Need to fudge version as upstream was repacked by Andreas'
    script

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 05 Dec 2011 17:37:16 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
  Andreas Tille <tille@debian.org>,
  Tim Booth <tbooth@ceh.ac.uk>
-Build-Depends: debhelper (>= 8), libreadline-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libreadline-dev, gfortran
+Standards-Version: 3.9.3
 Homepage: http://www.mothur.org
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mothur/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mothur/trunk/

=== debian/rules ===
--- 
+++ 
@@ -23,5 +23,8 @@
 get-orig-source:
 	. debian/get-orig-source
 
+#Cleaning needs help right now
 override_dh_auto_clean:
 	rm -f mothur *.o
+	make clean
+	( cd uchime_src && rm -f *.o mk.stdout mk.stderr tmp.stderr )

=== debian/watch ===
## Warning: Mothur only numbere *previous* releases.
## The current release downloadable archive does not feature a version number

version=3
http://www.mothur.org/wiki/Download_mothur \
   /w/images/.*/.*/Mothur\.([\d\.]+)\.zip

## mothur 1.24.1

=== debian/changelog ===
mothur (1.24.1-1) unstable; urgency=low

  * New upstream version
     - adpated patches
     - droped debian/patches/kfreebsd.patch because it was applied
       upstream

 -- Andreas Tille <tille@debian.org>  Tue, 03 Apr 2012 09:05:44 +0200

## mothur 1.31.2+dfsg

=== debian/changelog ===
mothur (1.31.2+dfsg-2build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 14 Dec 2013 22:58:48 -0500

mothur (1.31.2+dfsg-2) unstable; urgency=low

  * Team upload.
  * debian/patches/makefile.patch: Leave off -m64, which ia64 doesn't
    support and other 64-bit architectures don't need.  (Closes: #721770.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 04 Sep 2013 22:37:31 -0400

mothur (1.31.2+dfsg-1) unstable; urgency=low

  * New upstream version
  * debian/watch: use dversionmangle to properly detect new upstream
    versions
  * debian/copyright: Add Files-Excluded to document what was removed from
    original source
  * debian/rules: Use enhanced uscan
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - use anonscm for Vcs fields
  * debian/patches/uchime_hardening.patch: Hardening for uchime
  * debian/uchime.1
  * debian/patches/spelling.patch: Some spelling corrections

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jul 2013 14:32:44 +0200

mothur (1.27.0+repack-precise1) precise; urgency=low

  * Remove -march=native from makefile as this makes the result
    depend on the build machine - so a package built on a Core3
    CPU won't work on a Xeon.

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 12 Oct 2012 11:41:04 +0100

mothur (1.27.0+repack-precise2) precise; urgency=low

  * New minor release from upstream
  * Build MPI version alongside regular version
  * ...but only for 64-bit

 -- Tim Booth <tbooth@ceh.ac.uk>  Wed, 10 Oct 2012 11:20:43 +0100

mothur (1.25.0~repack-lucid3) lucid; urgency=low

  * Removed dependency on catchall - this belongs in the
    bio-linux-mothur package.  Not sure what I was thinking there.

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 14 May 2012 10:57:22 +0100

mothur (1.25.0~repack-lucid2) lucid; urgency=low

  * Fix 32-bit build and add uchime (which should be packaged
    separately, but I've no time for that just now)

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 10 May 2012 10:43:04 +0100

mothur (1.25.0~repack-lucid1) lucid; urgency=low

  * Rebuild for Lucid with repack fudge again

 -- Tim Booth <tbooth@ceh.ac.uk>  Wed, 09 May 2012 11:20:15 +0100

mothur (1.25.0-1) UNRELEASED; urgency=low

  * New upstream release
  * debian/upstream: more complete authors information in proper BibTeX
    format

 -- Andreas Tille <tille@debian.org>  Tue, 08 May 2012 18:00:19 +0200

=== debian/control ===
Source: mothur
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>,
           Tim Booth <tbooth@ceh.ac.uk>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libreadline-dev,
               gfortran,
               libopenmpi-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mothur/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mothur/trunk/
Homepage: http://www.mothur.org

Package: mothur
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: uchime
Provides: uchime
Description: sequence analysis suite for research on microbiota
 Mothur seeks to develop a single piece of open-source, expandable
 software to fill the bioinformatics needs of the microbial ecology
 community. It has incorporated the functionality of dotur, sons,
 treeclimber, s-libshuff, unifrac, and much more. In addition to improving
 the flexibility of these algorithms, a number of other features including
 calculators and visualization tools were added.

Package: mothur-mpi
Architecture: amd64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mothur,
         openmpi-bin
Description: mpi-enabled binary for mothur
 Provides the MPI-enabled binary for Mothur
 According to the docs this is of limited usefulness but is provided
 for completeness.

=== debian/rules ===
--- 
+++ 
@@ -12,19 +12,28 @@
 
 override_dh_auto_build:
 	if [ $(ARCHBITS) -eq 64 ] ; then \
-	    dh_auto_build 64BIT_VERSION=yes ; \
+	    dh_auto_build -- 64BIT_VERSION=yes USEMPI=yes && \
+	    mv mothur mothur-mpi && make clean && \
+	    dh_auto_build -- 64BIT_VERSION=yes USEMPI=no ; \
 	else \
-	    dh_auto_build ; \
+	    dh_auto_build -- 64BIT_VERSION=no ; \
 	fi
 
 override_dh_auto_install:
-	dh_install
-
-get-orig-source:
-	. debian/get-orig-source
+	true
 
 #Cleaning needs help right now
 override_dh_auto_clean:
-	rm -f mothur *.o
+	rm -f mothur mothur-mpi *.o mothur.*.logfile
 	make clean
 	( cd uchime_src && rm -f *.o mk.stdout mk.stderr tmp.stderr )
+
+# Remark: The following uscan command requires devscripts > 2.12.4 which is not
+#         yet released at the time of this package release.  The code can be obtained
+#         via
+#   git clone git://tille@git.debian.org/git/users/tille/devscripts.git
+#         and then use scripts/uscan.pl
+#         Alternatively you can use
+#	    . debian/get-orig-source
+get-orig-source:
+	uscan --verbose --force-download --repack-compression xz

=== debian/watch ===
version=3
opts=dversionmangle=s/(\+dfsg|[~\+]repack)// \
http://www.mothur.org/wiki/Download_mothur \
   /w/images/.*/.*/Mothur\.([\d\.]+)\.zip

## mothur 1.33.3+dfsg

=== debian/changelog ===
mothur (1.33.3+dfsg-2) unstable; urgency=medium

  * Re-Add changes from BioLinux which reads in SVN:
    Add the important .pat files and tell Mothur how to find them
    (certainly not in /usr/bin) (see debian/patches/find_pat_files)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Apr 2014 17:39:09 +0200

mothur (1.33.3+repack-0biolinux2) trusty; urgency=low

  * Refresh patches and build for Ubuntu Trusty

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 24 Apr 2014 18:41:42 +0100

mothur (1.33.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 22 Mar 2014 21:33:31 +0100

mothur (1.33.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debian/upstream -> debian/upstream/metadata
  * Standards-Version: 3.9.5

 -- Andreas Tille <tille@debian.org>  Tue, 25 Feb 2014 13:31:27 +0100

mothur (1.31.2+repack-0biolinux1) precise; urgency=low

  * New upstream
  * All patches look OK

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 16 Aug 2013 12:09:01 +0100

mothur (1.30.2+repack-0ubuntu1) precise; urgency=low

  * New upstream
  * Drop unneeded patch from last time 

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 30 Apr 2013 11:56:20 +0100

mothur (1.29.0+repack-0ubuntu1) precise; urgency=low

  * New upstream for January
  * Patch to fix compilation on MPI - not sure if it is right

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 15 Jan 2013 14:51:19 +0000

mothur (1.28.0+repack-precise2) precise; urgency=low

  * New upstream, build for precise
  * Enable mpi for 32-bit, for completeness
  * Note that this should really be version -0ubuntu2, but its
    too late to go there
  * Parallel build enabled

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 10 Jan 2013 15:22:35 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libreadline-dev,
                gfortran,
                libopenmpi-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mothur/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mothur/trunk/
 Homepage: http://www.mothur.org
@@ -29,13 +29,12 @@
  calculators and visualization tools were added.
 
 Package: mothur-mpi
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          mothur,
          openmpi-bin
 Description: mpi-enabled binary for mothur
  Provides the MPI-enabled binary for Mothur
- According to the docs this is of limited usefulness but is provided
- for completeness.
-
+ This is recommended for operations like shhh.flows which will be
+ very slow on a single processor.

=== debian/rules ===
--- 
+++ 
@@ -6,17 +6,20 @@
 #export DH_VERBOSE=1
 
 ARCHBITS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS)
+THREADS ?= -j3
 
 %:
 	dh $@
 
 override_dh_auto_build:
 	if [ $(ARCHBITS) -eq 64 ] ; then \
-	    dh_auto_build -- 64BIT_VERSION=yes USEMPI=yes && \
+	    dh_auto_build -- $(THREADS) 64BIT_VERSION=yes USEMPI=yes && \
 	    mv mothur mothur-mpi && make clean && \
-	    dh_auto_build -- 64BIT_VERSION=yes USEMPI=no ; \
+	    dh_auto_build -- $(THREADS) 64BIT_VERSION=yes USEMPI=no ; \
 	else \
-	    dh_auto_build -- 64BIT_VERSION=no ; \
+	    dh_auto_build -- $(THREADS) 64BIT_VERSION=no USEMPI=yes && \
+	    mv mothur mothur-mpi && make clean && \
+	    dh_auto_build -- $(THREADS) 64BIT_VERSION=no USEMPI=no ; \
 	fi
 
 override_dh_auto_install:
@@ -36,4 +39,4 @@
 #         Alternatively you can use
 #	    . debian/get-orig-source
 get-orig-source:
-	uscan --verbose --force-download --repack-compression xz
+	uscan --verbose --force-download --repack --repack-compression xz

## mothur 1.36.1

=== debian/changelog ===
mothur (1.36.1-1build1) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:56:52 +0000

mothur (1.36.1-1) unstable; urgency=medium

  * Imported Upstream version 1.36.1
  * d/watch: switch to github & don't repack
  * d/copyright: update and improve
  * d/rules: make build simpler
  * d/patches: refresh and reapply
  * d/control: build with boost library
  * d/control: bump std-ver to 3.9.6
  * d/patches: pass compiler flags properly
  * Added myself as uploader
  * move packaging from SVN to Git

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 07 Sep 2015 10:49:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,19 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Tim Booth <tbooth@ceh.ac.uk>
+           Tim Booth <tbooth@ceh.ac.uk>,
+           Tomasz Buchert <tomasz@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
                libreadline-dev,
                gfortran,
-               libopenmpi-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mothur/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mothur/trunk/
+               libopenmpi-dev,
+               zlib1g-dev,
+               libboost-iostreams-dev
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mothur.git
+Vcs-Git: git://anonscm.debian.org/debian-med/mothur.git
 Homepage: http://www.mothur.org
 
 Package: mothur

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules for mothur
# Andreas Tille <tille@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ARCHBITS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS)

ifeq ($(ARCHBITS),64)
	64BIT_VERSION=yes
else
	64BIT_VERSION=no
endif

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- 64BIT_VERSION=$(64BIT_VERSION) USEMPI=yes
	mv mothur mothur-mpi
	make clean
	dh_auto_build -- 64BIT_VERSION=$(64BIT_VERSION) USEMPI=no
	# cp mothur mothur-mpi # XXX: debug

override_dh_auto_install:
	true

#Cleaning needs help right now
override_dh_auto_clean:
	rm -f mothur mothur-mpi
	make clean
	( cd source/uchime_src && rm -f *.o mk.stdout mk.stderr tmp.stderr )

get-orig-source:
	uscan --verbose --force-download

=== debian/watch ===
 version=3
 opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mothur-$1\.tar\.gz/ \
    https://github.com/mothur/mothur/tags .*/v?(\d\S*)\.tar\.gz

## mothur 1.38.0

=== debian/changelog ===
mothur (1.38.0-1build3) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Sep 2016 10:25:37 +0000

mothur (1.38.0-1build2) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:06:30 +0000

mothur (1.38.0-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:26:19 +0000

mothur (1.38.0-1) unstable; urgency=medium

  * Imported Upstream version 1.38.0

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 30 Jul 2016 01:16:52 +0200

mothur (1.37.6-1) unstable; urgency=medium

  * Imported Upstream version 1.37.6

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 22 Jun 2016 22:15:49 +0200

mothur (1.37.5-1) unstable; urgency=medium

  * Imported Upstream version 1.37.5

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 12 Jun 2016 19:58:02 +0200

mothur (1.37.3-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * better description for mothur-mpi
  * propagate hardening options to uchime build
  * better hardening

 -- Andreas Tille <tille@debian.org>  Sat, 07 May 2016 17:54:19 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                libopenmpi-dev,
                zlib1g-dev,
                libboost-iostreams-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mothur.git
-Vcs-Git: git://anonscm.debian.org/debian-med/mothur.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/mothur.git
 Homepage: http://www.mothur.org
 
 Package: mothur
@@ -38,6 +38,13 @@
          mothur,
          openmpi-bin
 Description: mpi-enabled binary for mothur
+ Mothur seeks to develop a single piece of open-source, expandable
+ software to fill the bioinformatics needs of the microbial ecology
+ community. It has incorporated the functionality of dotur, sons,
+ treeclimber, s-libshuff, unifrac, and much more. In addition to improving
+ the flexibility of these algorithms, a number of other features including
+ calculators and visualization tools were added.
+ .
  Provides the MPI-enabled binary for Mothur
  This is recommended for operations like shhh.flows which will be
  very slow on a single processor.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 else
 	64BIT_VERSION=no
 endif
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --parallel

## mothur 1.38.1.1

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,8 @@
 BOOST_LIBRARY_DIR="\"Enter_your_boost_library_path_here\""
 BOOST_INCLUDE_DIR="\"Enter_your_boost_include_path_here\""
 MOTHUR_FILES="\"Enter_your_default_path_here\""
-RELEASE_DATE = "\"7/20/2016\""
-VERSION = "\"1.38.0\""
+RELEASE_DATE = "\"8/9/2016\""
+VERSION = "\"1.38.1\""
 
 ifeq  ($(strip $(64BIT_VERSION)),yes)
     CXXFLAGS += -DBIT_VERSION

=== debian/changelog ===
mothur (1.38.1.1-1) unstable; urgency=medium

  * New upstream version
    Closes: #846486
  * debhelper 10
  * d/watch: version=4
  * Fix spelling

 -- Andreas Tille <tille@debian.org>  Sat, 10 Dec 2016 08:23:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Tomasz Buchert <tomasz@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                libreadline-dev,
                gfortran,
                libopenmpi-dev,

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build -- 64BIT_VERSION=$(64BIT_VERSION) USEMPI=yes

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mothur-$1\.tar\.gz/ \
    https://github.com/mothur/mothur/tags .*/v?(\d\S*)\.tar\.gz

## mothur 1.39.5

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,13 @@
 #
 # Macros
 #
+# 64BIT_VERSION - set to no if you are using a 32bit arch.
+# OPTIMIZE - yes will increase speed of executable.
+# USEREADLINE - link with readline libraries.  Must have readline installed. Windows set to no.
+# USEBOOST - link with boost libraries. Must install boost. Allows the make.contigs command to read .gz files.
+# BOOST_LIBRARY_DIR - location of boost libraries
+# BOOST_INCLUDE_DIR - location of boost include files
+# MOTHUR_FILES - default location for mothur to look for input files at runtime. Most often used for reference files.
 
 64BIT_VERSION ?= yes
 OPTIMIZE ?= yes
@@ -15,8 +22,8 @@
 BOOST_LIBRARY_DIR="\"Enter_your_boost_library_path_here\""
 BOOST_INCLUDE_DIR="\"Enter_your_boost_include_path_here\""
 MOTHUR_FILES="\"Enter_your_default_path_here\""
-RELEASE_DATE = "\"8/9/2016\""
-VERSION = "\"1.38.1\""
+RELEASE_DATE = "\"3/20/2017\""
+VERSION = "\"1.39.5\""
 
 ifeq  ($(strip $(64BIT_VERSION)),yes)
     CXXFLAGS += -DBIT_VERSION
@@ -27,7 +34,8 @@
     CXXFLAGS += -O3
 endif
 
-CXXFLAGS += -DRELEASE_DATE=${RELEASE_DATE} -DVERSION=${VERSION} -O3
+CXXFLAGS += -DRELEASE_DATE=${RELEASE_DATE} -DVERSION=${VERSION} -std=c++0x
+LDFLAGS += -std=c++0x
 
 ifeq  ($(strip $(MOTHUR_FILES)),"\"Enter_your_default_path_here\"")
 else

=== debian/changelog ===
mothur (1.39.5-2build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:20:43 +0000

mothur (1.39.5-2) unstable; urgency=medium

  * Team upload.
  
  [ Nadiya Sitydykova ]
  * Add simple autopkgtest test-suite 

 -- Nadiya Sitdykova <rovenskasa@gmail.com>  Mon, 19 Jun 2017 22:00:56 -0400

mothur (1.39.5-1) unstable; urgency=medium

  * New upstream version 1.39.5
  * d/patches: refresh

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 25 Mar 2017 12:02:56 +0100

mothur (1.39.4-1) unstable; urgency=medium

  * New upstream version 1.39.4
  * Refresh patches

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 14 Mar 2017 23:28:09 +0100

mothur (1.39.3-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Corrected EDAM annotation file

  [ Tomasz Buchert ]
  * New upstream version 1.39.3
  * Refresh patches

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 26 Feb 2017 15:56:50 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 10),
+               gfortran,
+               libboost-iostreams-dev,
+               libopenmpi-dev,
                libreadline-dev,
-               gfortran,
-               libopenmpi-dev,
-               zlib1g-dev,
-               libboost-iostreams-dev
+               zlib1g-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mothur.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/mothur.git
@@ -19,8 +19,7 @@
 
 Package: mothur
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: uchime
 Provides: uchime
 Description: sequence analysis suite for research on microbiota
@@ -33,10 +32,7 @@
 
 Package: mothur-mpi
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         mothur,
-         openmpi-bin
+Depends: mothur, openmpi-bin, ${misc:Depends}, ${shlibs:Depends}
 Description: mpi-enabled binary for mothur
  Mothur seeks to develop a single piece of open-source, expandable
  software to fill the bioinformatics needs of the microbial ecology

## mothur 1.40.5

=== Makefile ===
--- 
+++ 
@@ -15,27 +15,33 @@
 # BOOST_INCLUDE_DIR - location of boost include files
 # MOTHUR_FILES - default location for mothur to look for input files at runtime. Most often used for reference files.
 
+PREFIX := ${CURDIR} 
+
 64BIT_VERSION ?= yes
 OPTIMIZE ?= yes
 USEREADLINE ?= yes
 USEBOOST ?= yes
+LOGFILE_NAME ?= yes
 BOOST_LIBRARY_DIR="\"Enter_your_boost_library_path_here\""
 BOOST_INCLUDE_DIR="\"Enter_your_boost_include_path_here\""
 MOTHUR_FILES="\"Enter_your_default_path_here\""
-RELEASE_DATE = "\"3/20/2017\""
-VERSION = "\"1.39.5\""
+VERSION = "\"1.40.4\""
 
 ifeq  ($(strip $(64BIT_VERSION)),yes)
     CXXFLAGS += -DBIT_VERSION
 endif
 
-# Fastest
+# Set a static logfile name
+ifeq  ($(strip $(LOGFILE_NAME)),yes)
+    LOGFILE_NAME="\"silent\""
+endif
+
 ifeq  ($(strip $(OPTIMIZE)),yes)
     CXXFLAGS += -O3
 endif
 
-CXXFLAGS += -DRELEASE_DATE=${RELEASE_DATE} -DVERSION=${VERSION} -std=c++0x
-LDFLAGS += -std=c++0x
+CXXFLAGS += -std=c++11 -DVERSION=${VERSION}
+LDFLAGS += -std=c++11 -pthread
 
 ifeq  ($(strip $(MOTHUR_FILES)),"\"Enter_your_default_path_here\"")
 else
@@ -89,7 +95,15 @@
 uchime:
 	cd source/uchime_src && ./mk && mv uchime ../../ && cd ..
 
-install : mothur
+install : mothur uchime
+#if [ "${CURDIR}" = "$(PREFIX)" ]; then \
+#		echo 'done'; \
+#	else \
+#		mkdir -p $(PREFIX); \
+#		for file in mothur uchime; do \
+#			cp -f $$file $(PREFIX) ; \
+#		done \
+#	fi
 
 
 %.o : %.c %.h

=== debian/changelog ===
mothur (1.40.5-1build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:01:27 +0000

mothur (1.40.5-1) unstable; urgency=medium

  * New upstream version 1.40.5

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 26 Jun 2018 18:04:50 +0200

mothur (1.40.4-1) unstable; urgency=medium

  * New upstream version 1.40.4

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 16 Jun 2018 15:58:20 +0200

mothur (1.40.3-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - added references to registries
    - yamllint cleanliness

  [ Tomasz Buchert ]
  * fix insecure-copyright-format-uri
  * use debhelper compat 11
  * New upstream version 1.40.3

  [ Andreas Tille ]
  * Spacing
  * Remove invalid fields from debian/upstream/metadata

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 19 May 2018 15:48:02 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
            Tomasz Buchert <tomasz@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                gfortran,
                libboost-iostreams-dev,
                libopenmpi-dev,
                libreadline-dev,
                zlib1g-dev
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mothur.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/mothur.git
+Vcs-Browser: https://salsa.debian.org/med-team/mothur
+Vcs-Git: https://salsa.debian.org/med-team/mothur.git
 Homepage: http://www.mothur.org
 
 Package: mothur

## mothur 1.41.21

=== Makefile ===
--- 
+++ 
@@ -7,29 +7,30 @@
 #
 # Macros
 #
-# 64BIT_VERSION - set to no if you are using a 32bit arch.
 # OPTIMIZE - yes will increase speed of executable.
 # USEREADLINE - link with readline libraries.  Must have readline installed. Windows set to no.
 # USEBOOST - link with boost libraries. Must install boost. Allows the make.contigs command to read .gz files.
+# USEHDF5 - link with HDF5cpp libraries. Must install HDF5. Allows the biom.info command to read Biom format 2.0.
+# HDF5_LIBRARY_DIR - location of HDF5 libraries
+# HDF5_INCLUDE_DIR - location of HDF5 include files
 # BOOST_LIBRARY_DIR - location of boost libraries
 # BOOST_INCLUDE_DIR - location of boost include files
-# MOTHUR_FILES - default location for mothur to look for input files at runtime. Most often used for reference files.
+# MOTHUR_FILES - The MOTHUR_FILES parameter is optional, but allows you to set a default location for mothur to look for input files it can't find. This is often used for reference files you want to store in one location separate from your data.
 
 PREFIX := ${CURDIR} 
 
-64BIT_VERSION ?= yes
 OPTIMIZE ?= yes
 USEREADLINE ?= yes
-USEBOOST ?= yes
-LOGFILE_NAME ?= yes
-BOOST_LIBRARY_DIR="\"Enter_your_boost_library_path_here\""
-BOOST_INCLUDE_DIR="\"Enter_your_boost_include_path_here\""
+USEBOOST ?= no
+USEHDF5 ?= no
+LOGFILE_NAME ?= no
+BOOST_LIBRARY_DIR ?= "\"Enter_your_boost_library_path_here\""
+BOOST_INCLUDE_DIR ?= "\"Enter_your_boost_include_path_here\""
+HDF5_LIBRARY_DIR ?= "\"Enter_your_HDF5_library_path_here\""
+HDF5_INCLUDE_DIR ?= "\"Enter_your_HDF5_include_path_here\""
 MOTHUR_FILES="\"Enter_your_default_path_here\""
-VERSION = "\"1.40.4\""
+VERSION = "\"1.41.2\""
 
-ifeq  ($(strip $(64BIT_VERSION)),yes)
-    CXXFLAGS += -DBIT_VERSION
-endif
 
 # Set a static logfile name
 ifeq  ($(strip $(LOGFILE_NAME)),yes)
@@ -40,7 +41,7 @@
     CXXFLAGS += -O3
 endif
 
-CXXFLAGS += -std=c++11 -DVERSION=${VERSION}
+CXXFLAGS += -std=c++11 -pthread -DVERSION=${VERSION}
 LDFLAGS += -std=c++11 -pthread
 
 ifeq  ($(strip $(MOTHUR_FILES)),"\"Enter_your_default_path_here\"")
@@ -66,6 +67,14 @@
 
     LIBS += -lboost_iostreams -lz
     CXXFLAGS += -DUSE_BOOST -I ${BOOST_INCLUDE_DIR}
+endif
+
+#User specified HDF5 library
+ifeq  ($(strip $(USEHDF5)),yes)
+
+LDFLAGS += -L ${HDF5_LIBRARY_DIR} -lhdf5 -lhdf5_cpp
+CXXFLAGS += -DUSE_HDF5 -I ${HDF5_INCLUDE_DIR}
+
 endif
 
 #

=== debian/changelog ===
mothur (1.41.21-1) unstable; urgency=medium

  * Do not report pre-releases
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * override_dh_dwz

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jan 2019 11:24:42 +0100

mothur (1.40.5-2) unstable; urgency=medium

  * Upstream dropped MPI support since it is slower and requires dual
    maintenance (see README.Debian)  Thus dropping MPI support from
    Debian package
    Closes: #908786
  * Remove Tim Booth from Uploaders (Tim, thanks for your work on this
    package)
  * Drop unneeded get-orig-source target
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Fri, 14 Sep 2018 10:29:24 +0200

=== debian/control ===
Source: mothur
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>,
           Tomasz Buchert <tomasz@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               gfortran,
               libboost-iostreams-dev,
               libopenmpi-dev,
               libreadline-dev,
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/mothur
Vcs-Git: https://salsa.debian.org/med-team/mothur.git
Homepage: http://www.mothur.org

Package: mothur
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: uchime
Provides: uchime
Description: sequence analysis suite for research on microbiota
 Mothur seeks to develop a single piece of open-source, expandable
 software to fill the bioinformatics needs of the microbial ecology
 community. It has incorporated the functionality of dotur, sons,
 treeclimber, s-libshuff, unifrac, and much more. In addition to improving
 the flexibility of these algorithms, a number of other features including
 calculators and visualization tools were added.

=== debian/rules ===
--- 
+++ 
@@ -19,20 +19,19 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- 64BIT_VERSION=$(64BIT_VERSION) USEMPI=yes
-	mv mothur mothur-mpi
-	make clean
-	dh_auto_build -- 64BIT_VERSION=$(64BIT_VERSION) USEMPI=no
-	# cp mothur mothur-mpi # XXX: debug
+	dh_auto_build -- 64BIT_VERSION=$(64BIT_VERSION)
 
 override_dh_auto_install:
 	true
 
 #Cleaning needs help right now
 override_dh_auto_clean:
-	rm -f mothur mothur-mpi
+	rm -f mothur
 	make clean
 	( cd source/uchime_src && rm -f *.o mk.stdout mk.stderr tmp.stderr )
 
-get-orig-source:
-	uscan --verbose --force-download
+override_dh_dwz:
+	echo Do not run dh_dwz due to:
+	echo "   dwz: Too few files for multifile optimization"
+	echo "   objcopy: 'debian/mothur/usr/lib/debug/.dwz/x86_64-linux-gnu/mothur.debug': No such file"
+	echo "   dh_dwz: objcopy --compress-debug-sections debian/mothur/usr/lib/debug/.dwz/x86_64-linux-gnu/mothur.debug returned exit code 1"

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mothur-$1\.tar\.gz/ \
    https://github.com/mothur/mothur/tags .*/v?(\d[.\d]+)\.tar\.gz

## mothur 1.42.1

=== Makefile ===
--- 
+++ 
@@ -11,10 +11,13 @@
 # USEREADLINE - link with readline libraries.  Must have readline installed. Windows set to no.
 # USEBOOST - link with boost libraries. Must install boost. Allows the make.contigs command to read .gz files.
 # USEHDF5 - link with HDF5cpp libraries. Must install HDF5. Allows the biom.info command to read Biom format 2.0.
+# USEGSL - link with GNU Scientific libraries. Must install GSL. Allows the estimiator.single command to find diversity estimates.
 # HDF5_LIBRARY_DIR - location of HDF5 libraries
 # HDF5_INCLUDE_DIR - location of HDF5 include files
 # BOOST_LIBRARY_DIR - location of boost libraries
 # BOOST_INCLUDE_DIR - location of boost include files
+# GSL_LIBRARY_DIR - location of GSL libraries
+# GSL_INCLUDE_DIR - location of GSL include files
 # MOTHUR_FILES - The MOTHUR_FILES parameter is optional, but allows you to set a default location for mothur to look for input files it can't find. This is often used for reference files you want to store in one location separate from your data.
 
 PREFIX := ${CURDIR} 
@@ -23,13 +26,16 @@
 USEREADLINE ?= yes
 USEBOOST ?= no
 USEHDF5 ?= no
+USEGSL ?= no
 LOGFILE_NAME ?= no
 BOOST_LIBRARY_DIR ?= "\"Enter_your_boost_library_path_here\""
 BOOST_INCLUDE_DIR ?= "\"Enter_your_boost_include_path_here\""
 HDF5_LIBRARY_DIR ?= "\"Enter_your_HDF5_library_path_here\""
 HDF5_INCLUDE_DIR ?= "\"Enter_your_HDF5_include_path_here\""
+GSL_LIBRARY_DIR ?= "\"Enter_your_GSL_library_path_here\""
+GSL_INCLUDE_DIR ?= "\"Enter_your_GSL_include_path_here\""
 MOTHUR_FILES="\"Enter_your_default_path_here\""
-VERSION = "\"1.41.2\""
+VERSION = "\"1.42.1\""
 
 
 # Set a static logfile name
@@ -74,6 +80,14 @@
 
 LDFLAGS += -L ${HDF5_LIBRARY_DIR} -lhdf5 -lhdf5_cpp
 CXXFLAGS += -DUSE_HDF5 -I ${HDF5_INCLUDE_DIR}
+
+endif
+
+#User specified GSL library
+ifeq  ($(strip $(USEGSL)),yes)
+
+LDFLAGS += -L ${GSL_LIBRARY_DIR} -lgsl
+CXXFLAGS += -DUSE_GSL -I ${GSL_INCLUDE_DIR}
 
 endif

=== debian/changelog ===
mothur (1.42.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:50:18 +0100

mothur (1.42.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 19:24:04 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
            Tomasz Buchert <tomasz@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                gfortran,
                libboost-iostreams-dev,
                libopenmpi-dev,
                libreadline-dev,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/mothur
 Vcs-Git: https://salsa.debian.org/med-team/mothur.git
-Homepage: http://www.mothur.org
+Homepage: https://www.mothur.org
 
 Package: mothur
 Architecture: any

## mothur 1.44.2

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 # GSL_INCLUDE_DIR - location of GSL include files
 # MOTHUR_FILES - The MOTHUR_FILES parameter is optional, but allows you to set a default location for mothur to look for input files it can't find. This is often used for reference files you want to store in one location separate from your data.
 
-PREFIX := ${CURDIR} 
+INSTALL_DIR ?= "\"Enter_your_mothur_install_path_here\""
 
 OPTIMIZE ?= yes
 USEREADLINE ?= yes
@@ -28,6 +28,7 @@
 USEHDF5 ?= no
 USEGSL ?= no
 LOGFILE_NAME ?= no
+
 BOOST_LIBRARY_DIR ?= "\"Enter_your_boost_library_path_here\""
 BOOST_INCLUDE_DIR ?= "\"Enter_your_boost_include_path_here\""
 HDF5_LIBRARY_DIR ?= "\"Enter_your_HDF5_library_path_here\""
@@ -35,7 +36,8 @@
 GSL_LIBRARY_DIR ?= "\"Enter_your_GSL_library_path_here\""
 GSL_INCLUDE_DIR ?= "\"Enter_your_GSL_include_path_here\""
 MOTHUR_FILES="\"Enter_your_default_path_here\""
-VERSION = "\"1.42.1\""
+MOTHUR_TOOLS="\"Enter_your_mothur_tools_path_here\""
+VERSION = "\"1.44.2\""
 
 
 # Set a static logfile name
@@ -55,6 +57,10 @@
     CXXFLAGS += -DMOTHUR_FILES=${MOTHUR_FILES}
 endif
 
+ifeq  ($(strip $(MOTHUR_TOOLS)),"\"Enter_your_mothur_tools_path_here\"")
+else
+    CXXFLAGS += -DMOTHUR_TOOLS=${MOTHUR_TOOLS}
+endif
 
 # if you do not want to use the readline library, set this to no.
 # make sure you have the library installed
@@ -78,7 +84,8 @@
 #User specified HDF5 library
 ifeq  ($(strip $(USEHDF5)),yes)
 
-LDFLAGS += -L ${HDF5_LIBRARY_DIR} -lhdf5 -lhdf5_cpp
+LDFLAGS += -L ${HDF5_LIBRARY_DIR}
+LIBS += -lhdf5 -lhdf5_cpp
 CXXFLAGS += -DUSE_HDF5 -I ${HDF5_INCLUDE_DIR}
 
 endif
@@ -86,7 +93,8 @@
 #User specified GSL library
 ifeq  ($(strip $(USEGSL)),yes)
 
-LDFLAGS += -L ${GSL_LIBRARY_DIR} -lgsl
+LDFLAGS += -L ${GSL_LIBRARY_DIR}
+LIBS += -lgsl -lgslcblas -lm
 CXXFLAGS += -DUSE_GSL -I ${GSL_INCLUDE_DIR}
 
 endif
@@ -95,9 +103,9 @@
 # INCLUDE directories for mothur
 #
 #
-    VPATH=source/calculators:source/chimera:source/classifier:source/clearcut:source/commands:source/communitytype:source/datastructures:source/metastats:source/randomforest:source/read:source/svm
+	VPATH=source/calculators:source/chimera:source/classifier:source/clearcut:source/commands:source/communitytype:source/datastructures:source/engines:source/metastats:source/read:source/svm:source/
     skipUchime := source/uchime_src/
-    subdirs :=  $(sort $(dir $(filter-out  $(skipUchime), $(wildcard source/*/))))
+    subdirs :=  $(sort $(dir $(filter-out  $(skipUchime), source/, $(wildcard source/*/))))
     subDirIncludes = $(patsubst %, -I %, $(subdirs))
     subDirLinking =  $(patsubst %, -L%, $(subdirs))
     CXXFLAGS += -I. $(subDirIncludes)
@@ -115,20 +123,18 @@
 mothur : $(OBJECTS) uchime
 	$(CXX) $(LDFLAGS) $(TARGET_ARCH) -o $@ $(OBJECTS) $(LIBS)
 
-uchime:
-	cd source/uchime_src && ./mk && mv uchime ../../ && cd ..
+uchime :
+	cd source/uchime_src && export CXX=$(CXX) && ./make clean && ./make && mv uchime ../../ && cd ..
 
-install : mothur uchime
-#if [ "${CURDIR}" = "$(PREFIX)" ]; then \
-#		echo 'done'; \
-#	else \
-#		mkdir -p $(PREFIX); \
-#		for file in mothur uchime; do \
-#			cp -f $$file $(PREFIX) ; \
-#		done \
-#	fi
+install : mothur
 
+ifeq  ($(strip $(INSTALL_DIR)),"\"Enter_your_mothur_install_path_here\"")
+else
+	mkdir -p ${INSTALL_DIR}
+	mv mothur ${INSTALL_DIR}/mothur
+endif
 
+	
 %.o : %.c %.h
 	$(COMPILE.c) $(OUTPUT_OPTION) $<
 %.o : %.cpp %.h
@@ -140,4 +146,4 @@
 
 clean :
 	@rm -f $(OBJECTS)
-	@rm -f uchime
+

=== debian/changelog ===
mothur (1.44.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Fix include
    Closes: #963288
  * Fix makefile
  * Do not build uchime explicitly in d/rules

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jul 2020 11:35:13 +0200

mothur (1.44.1-1) unstable; urgency=medium

  * Update d/watch to cover releases such as "v.1.44.1"
  * New upstream version 1.44.1

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 18 May 2020 09:38:14 +0200

mothur (1.44.0-1) unstable; urgency=medium

  [ Steffen Möller ]
  * Added ref to conda
  * Update metadata  ref to bio.tools

  [ Tomasz Buchert ]
  * New upstream version 1.44.0
  * Standards-Version: 4.5.0
  * Refresh debian/patches

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 06 May 2020 11:27:19 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,20 @@
            Tomasz Buchert <tomasz@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                gfortran,
                libboost-iostreams-dev,
-               libopenmpi-dev,
                libreadline-dev,
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/mothur
 Vcs-Git: https://salsa.debian.org/med-team/mothur.git
 Homepage: https://www.mothur.org
+Rules-Requires-Root: no
 
 Package: mothur
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: uchime
 Provides: uchime
 Description: sequence analysis suite for research on microbiota

## mothur 1.44.3

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 GSL_INCLUDE_DIR ?= "\"Enter_your_GSL_include_path_here\""
 MOTHUR_FILES="\"Enter_your_default_path_here\""
 MOTHUR_TOOLS="\"Enter_your_mothur_tools_path_here\""
-VERSION = "\"1.44.2\""
+VERSION = "\"1.44.3\""
 
 
 # Set a static logfile name
@@ -124,7 +124,7 @@
 	$(CXX) $(LDFLAGS) $(TARGET_ARCH) -o $@ $(OBJECTS) $(LIBS)
 
 uchime :
-	cd source/uchime_src && export CXX=$(CXX) && ./make clean && ./make && mv uchime ../../ && cd ..
+	cd source/uchime_src && export CXX=$(CXX) && make clean && make && mv uchime ../../ && cd ..
 
 install : mothur

=== debian/changelog ===
mothur (1.44.3-2) unstable; urgency=medium

  * Do not include sys/sysctl.h since it will be removed and is
    not used anyway
    Closes: #967985
  * Standards-Version: 4.5.1 (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 04 Dec 2020 22:37:41 +0100

mothur (1.44.3-1) unstable; urgency=medium

  * New upstream version 1.44.3
  * Remove fix_makefile patch

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 04 Sep 2020 09:34:50 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libboost-iostreams-dev,
                libreadline-dev,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/mothur
 Vcs-Git: https://salsa.debian.org/med-team/mothur.git
 Homepage: https://www.mothur.org
